Package org.eclipse.m2m.atl.common.Problem

## Enum Severity

- java.lang.Object
- - java.lang.Enum<Severity>
  - - org.eclipse.m2m.atl.common.Problem.Severity

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Severity>`, `org.eclipse.emf.common.util.Enumerator`

    public enum Severity
    extends java.lang.Enum<Severity>
    implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Severity', and utility methods for working with them.

See Also:
  `ProblemPackage.getSeverity()`

### Enum Constant Summary

Enum Constants
`CRITIC` The 'Critic' literal object.
`ERROR` The 'Error' literal object.
`WARNING` The 'Warning' literal object.

### Field Summary

Fields
`static int` `CRITIC_VALUE` The 'Critic' literal value.
`static int` `ERROR_VALUE` The 'Error' literal value.
`static java.util.List<Severity>` `VALUES` A public read-only list of all the 'Severity' enumerators.
`static int` `WARNING_VALUE` The 'Warning' literal value.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Severity` `get​(int value)` Returns the 'Severity' literal with the specified integer value.
`static Severity` `get​(java.lang.String literal)` Returns the 'Severity' literal with the specified literal value.
`static Severity` `getByName​(java.lang.String name)` Returns the 'Severity' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static Severity` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Severity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CRITIC

    public static final Severity CRITIC

The 'Critic' literal object.

See Also:
  `CRITIC_VALUE`

#### ERROR

    public static final Severity ERROR

The 'Error' literal object.

See Also:
  `ERROR_VALUE`

#### WARNING

    public static final Severity WARNING

The 'Warning' literal object.

See Also:
  `WARNING_VALUE`

### Field Detail

#### CRITIC_VALUE

    public static final int CRITIC_VALUE

The 'Critic' literal value.

If the meaning of 'Critic' literal object isn't clear, there really should be more of a description here...

See Also:
  `CRITIC`, Constant Field Values

#### ERROR_VALUE

    public static final int ERROR_VALUE

The 'Error' literal value.

If the meaning of 'Error' literal object isn't clear, there really should be more of a description here...

See Also:
  `ERROR`, Constant Field Values

#### WARNING_VALUE

    public static final int WARNING_VALUE

The 'Warning' literal value.

If the meaning of 'Warning' literal object isn't clear, there really should be more of a description here...

See Also:
  `WARNING`, Constant Field Values

#### VALUES

    public static final java.util.List<Severity> VALUES

A public read-only list of all the 'Severity' enumerators.

### Method Detail

#### values

    public static Severity[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Severity c : Severity.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Severity valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static Severity get​(java.lang.String literal)

Returns the 'Severity' literal with the specified literal value.

Parameters:
  `literal` - the literal.
Returns:
  the matching enumerator or `null`.

#### getByName

    public static Severity getByName​(java.lang.String name)

Returns the 'Severity' literal with the specified name.

Parameters:
  `name` - the name.
Returns:
  the matching enumerator or `null`.

#### get

    public static Severity get​(int value)

Returns the 'Severity' literal with the specified integer value.

Parameters:
  `value` - the integer value.
Returns:
  the matching enumerator or `null`.

#### getValue

    public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

#### getLiteral

    public java.lang.String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

#### toString

    public java.lang.String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `java.lang.Enum<Severity>`